From: <a href="/blend/av.cgi?id=872">CryingShame58</a><BR>
Date: 21 December 2014<P>

Thank you Kirk for the front page pick! Congrats to all that made this Dec page. I enjoyed reading the Dec picks and they were excellent... I appreciate your time and energy keeping this lovely place for us! Merry Christmas Kirk!<BR>
Merry Christmas Love Blenderites!!! 
<HR>
From: <a href="/blend/av.cgi?id=872">CryingShame58</a><BR>
Date: 21 December 2014<P>

Blessed and Just L<BR>
I was introduced to Rumi in 2002. A friend of mine allowed me to borrow the book. I remember I was depressed and don't recall exact verses. I probably should read again now that I'm with clear head. Please let me know what you read and when you read Rumi.
<HR>
From: <a href="/blend/av.cgi?id=13">B.K.</a><BR>
Date: 21 December 2014<P>

Randy1, about <a href="/blend/wv.cgi?id=2014.12.20.17.34.23620">Can I pet Your a kitty?</a>:<BR>
<BR>
Forgive me, but I must say this...I feel a dick head bump coming on.<BR>
<BR>

<HR>